Skip to main content
`Ctrl`+`K`

# Delmic HDF5

RosettaScIO can only read hyperspectral cathodoluminescence .h5 datasets from Delmic. The file reading will be implemented step by step for the various Delmic data formats.

Note

To read the cathodoluminescence .h5 datasets in HyperSpy, use the `reader` argument to define the correct file plugin as the `.h5` extension is not unique to this reader:

    >>> import hyperspy.api as hs
    >>> hs.load("filename.h5", reader="Delmic")

## API functions

rsciio.delmic.file_reader(filename, lazy=False)

  Read a Delmic hdf5 hyperspectral image.

  Parameters:
    filename `python:str`, `pathlib.Path`

      Filename of the file to read or corresponding pathlib.Path.

    lazy bool, default=False

      Whether to open the file lazily or not. The file will stay open until closed in `compute()` or closed manually. `get_file_handle()` can be used to access the file handler and close it manually.

  Returns:
    `python:list` of `python:dict`

      List of dictionaries containing the following fields:

      - ‘data’ – multidimensional `numpy.ndarray` or `dask.array.Array`

      - ‘axes’ – list of dictionaries describing the axes containing the fields ‘name’, ‘units’, ‘index_in_array’, and either ‘size’, ‘offset’, and ‘scale’ or a numpy array ‘axis’ containing the full axes vector

      - ‘metadata’ – dictionary containing the parsed metadata

      - ‘original_metadata’ – dictionary containing the full metadata tree from the input file

      When the file contains several datasets, each dataset will be loaded as separate dictionary.